5.2.0-git
04/23/2014

[#6187] API tests for supported RPC backends
Summary API tests for supported RPC backends
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 2. Medium
Owners
Requester chuck (at) horde (dot) org
Created 02/01/2008 (2273 days ago)
Due
Updated 02/25/2008 (2249 days ago)
Assigned
Resolved
Milestone
Patch No

History
02/25/2008 01:06:02 AM Jan Schneider State ⇒ Accepted
 
02/02/2008 01:29:19 AM Michael Rubinsky Comment #2 Reply to this comment
Just a note (since I've had to look for this reference more than 
once)...that due to a bug in PHP 
(http://bugs.php.net/bug.php?id=37746) the xml-rpc backend can produce 
useless results in some cases.
02/01/2008 05:18:30 AM Chuck Hagenbuch Comment #1
State ⇒ New
Queue ⇒ Horde Base
Summary ⇒ API tests for supported RPC backends
Type ⇒ Enhancement
Priority ⇒ 2. Medium
Reply to this comment
We should have tests in horde/lib/tests/ for the basic API methods: 
listAPIs, listApps, maybe simple Block and/or preference tests. 
Ideally these should be able to run through xml-rpc, soap, and 
whatever else is available.